package it.sagelab.dynaagen;


import it.sagelab.dynaagen.core.DynaaGenerator;
import it.sagelab.dynaagen.core.PromelaReader;
import it.sagelab.dynaagen.parser.PromelaLexer;
import it.sagelab.dynaagen.parser.PromelaParser;
import org.antlr.v4.runtime.CharStreams;
import org.antlr.v4.runtime.CommonTokenStream;
import org.antlr.v4.runtime.tree.ParseTreeWalker;

import java.io.IOException;

public class Main {

    public static void main(String[] args) throws IOException {

        if(args.length < 1) {
            System.out.println("Usage: dynaagen <input file> [output dir]");
            System.exit(-1);
        }

        PromelaLexer lexer = new PromelaLexer(CharStreams.fromFileName(args[0]));
        CommonTokenStream tokens = new CommonTokenStream(lexer);
        PromelaParser parser = new PromelaParser(tokens);
        ParseTreeWalker walker = new ParseTreeWalker();
        PromelaReader promelaReader = new PromelaReader();
        walker.walk(promelaReader, parser.spec());

        DynaaGenerator dynaaGenerator = new DynaaGenerator(promelaReader.getModel());

        if(args.length > 1) {
            dynaaGenerator.setOutputDir(args[1]);
        }

        dynaaGenerator.generate();

    }

}
