package it.sagelab.dynaagen.model;

import it.sagelab.dynaagen.model.expr.ConstantExpr;
import it.sagelab.dynaagen.model.expr.Variable;
import it.sagelab.dynaagen.model.stmnt.Statement;
import it.sagelab.dynaagen.model.stmnt.StatementSequence;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

public class Proctype {

    private final String name;
    private final boolean active;
    private Map<String, Variable> params;
    private StatementSequence sequence;

    public Proctype(String name, boolean active) {
        this.name = name;
        this.active = active;
        this.params = new HashMap<>();
        this.params.put("_pid", new Variable("_pid", Variable.Type.INT, new ConstantExpr("_pid")));
    }

    public String getName() {
        return name;
    }

    public boolean isActive() {
        return active;
    }

    public Map<String, Variable> getParams() {
        return params;
    }

    public void setParams(Map<String, Variable> params) {
        this.params = params;
    }

    public StatementSequence getSequence() {
        return sequence;
    }

    public void setSequence(StatementSequence sequence) {
        this.sequence = sequence;
    }
}
