package it.sagelab.dynaagen.model;

import it.sagelab.dynaagen.model.expr.Variable;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class PromelaModel {

    Map<String, Variable> globalVariables;
    List<Proctype> proctypes;

    public PromelaModel() {
        globalVariables = new HashMap<>();
        proctypes = new ArrayList<>();
    }

    public Map<String, Variable> getGlobalVariables() {
        return globalVariables;
    }

    public void addGlobalVariable(Variable var) {
        globalVariables.put(var.getName(), var);
    }

    public void addProctype(Proctype proctype) {
        proctypes.add(proctype);
    }

    public List<Proctype> getProctypes() {
        return proctypes;
    }

}
