package it.sagelab.dynaagen.model.expr;

public class Variable extends Expression {

    public enum Type {
        BOOL("boolean"),
        BYTE("byte"),
        SHORT("short"),
        INT("int"),
        MTYPE("ntype"),
        CHAN("Channel");

        private final String text;

        Type(String text) {
            this.text = text;
        }

        @Override
        public String toString() {
            return text;
        }
    }

    private final String name;
    private final Type type;
    private final Expression expr;

    public Variable(String name, Type type, Expression expr) {
        this.name = name;
        this.type = type;
        this.expr = expr;
    }

    public String getName() {
        return name;
    }

    public Type getType() {
        return type;
    }

    public Expression getExpr() {
        return expr;
    }

    @Override
    public String toString() {
        return type + " " + name;
    }
}
