package it.sagelab.dynaagen.model.stmnt;

import it.sagelab.dynaagen.model.expr.Expression;
import it.sagelab.dynaagen.model.expr.Variable;

public class AssignStmnt extends Statement {

    public enum Op {
        INCREMENT,
        DECREMENT,
        ASSIGNMENT
    }

    private final Variable var;
    private final Expression expression;
    private final Op op;

    public AssignStmnt(Variable var, Expression expression, Op op) {
        this.var = var;
        this.expression = expression;
        this.op = op;
    }

    public Variable getVar() {
        return var;
    }

    public Expression getExpression() {
        return expression;
    }

    public Op getOp() {
        return op;
    }

    @Override
    public void accept(StatementVisitor visitor) {
        visitor.visit(this);
    }
}
