package it.sagelab.dynaagen.model.stmnt;

public class KeywordStmnt extends Statement {

    public enum Keyword {
        ELSE,
        BREAK,
        GOTO
    }

    private final Keyword keyword;
    private String gotoLabel;

    public KeywordStmnt(Keyword keyword) {
        this.keyword = keyword;
        gotoLabel = null;
    }

    public Keyword getKeyword() {
        return keyword;
    }

    public String getGotoLabel() {
        return gotoLabel;
    }

    public void setGotoLabel(String gotoLabel) {
        this.gotoLabel = gotoLabel;
    }

    @Override
    public void accept(StatementVisitor visitor) {
        visitor.visit(this);
    }
}
