package it.sagelab.dynaagen.model.stmnt;


import it.sagelab.dynaagen.model.expr.Variable;

import java.util.List;
import java.util.Map;

public class StatementSequence extends Statement {

    private final List<Statement> stmnts;
    private final Map<String, Variable> localVars;

    public StatementSequence(List<Statement> stmnts, Map<String, Variable> localVars) {
        this.stmnts = stmnts;
        this.localVars = localVars;
    }

    public List<Statement> getStmnts() {
        return stmnts;
    }

    public Map<String, Variable> getLocalVars() {
        return localVars;
    }

    @Override
    public void accept(StatementVisitor visitor) {
        visitor.visit(this);
    }
}
